<?php get_header(); ?>

    <div class="press_page">
		<div class="bread_in">
	        <?php // Top before content
		    	the_archive_title( '<h1 class="press_heading">', '</h1>' ); 
		    	dimox_breadcrumbs(); 
	    	?>
    	</div>
	</div>
		
	<section id="listing" class="clear">
	    <div class="press_container">
		    <div class="materi_outer clear">
			
				<div class="press_login clear">
				    <div class="login_in">
				        <?php if (is_user_logged_in()) { ?>
					        <div class="log_open">
							    <?php _e('Saat Ini Anda Sedang Dalam Posisi Login dan Dapat Melihat Konten Materi'); ?>
							</div>
					        <div class="log_close">
					        	<a class="login_button" href="<?php echo admin_url().'profile.php'; ?>"><?php _e('Profile'); ?></a>
						    	<a class="logout_button" href="<?php echo wp_logout_url( home_url() ); ?>"><?php _e('Keluar'); ?></a>
							</div>
							<?php
							    $user = wp_get_current_user();
								if ( in_array( 'siswa', (array) $user->roles ) ) { 
								?>
								    <div class="log_user">
									    <div class="log_photo">
										    <img src="<?php echo esc_url( $user->user_meta_image );?>" />
										</div>
										<div class="log_name"><?php echo esc_html( $user->display_name ); ?></div>
										<div class="log_name"><i class="fa fa-envelope-o"></i><br/><?php echo esc_html( $user->user_email ); ?></div>
									</div>
								<?php
								}
						} else { ?>
						    <div class="log_open">
							    <?php _e('Untuk Bisa Mengakses Konten Materi dan Tugas, Silahkan Login Terlebih Dahulu.'); ?>
							</div>
				            <?php get_template_part('ajax-auth'); 
						} ?>
					</div>
				</div>			
			
		        <div class="press_kelas clear">
				    <div class="oc_class"><span></span></div>
		            <div class="kelas_cat clear">
				    	<div class="kelas_head">
						    <span class="to_materi"><?php echo __('Materi Kelas', 'prestasi'); ?></span>
						</div>
						
			    		<?php 
					    	$taxonomy = 'tugas';
							$args =  array(
							    'hide_empty' => true,
								'orderby'    => 'name',
								'order'      => 'ASC'
							);
							$terms = get_terms( $taxonomy , $args );
							foreach( $terms as $term ) {
								$term_link = get_term_link( $term, 'tugas');
								echo '<div class="tugas_term"><a href="' . $term_link . '">'. $term->name . ' <span class="mat_count">' . $term->count . '</span></a></div>';
							}
						?>
						
					</div>
				</div>
				
				<div class="press_materi clear">
				    <div class="materi_box">
					
					    <h3><?php _e('Materi Dan Tugas Untuk Siswa'); ?></h3>
						<div class="press_artikel">
						     <?php _e('Halaman Ini Berisi Semua Materi dan Tugas Yang Diberikan Oleh Guru Kepada Para Siswa. Materi Terbagi Berdasarkan Pada Kategori Kelas / Jurusan dan Difilter Lagi Berdasarkan Pada Jenis Mata Pelajaran Yang Ada Disekolah.'); ?>
						</div>
						<div class="materi_stat">
						    <span><?php _e('Statistik : '); ?></span> <?php
							$count_materi = wp_count_posts($post_type = 'materi');
							if ( $count_materi ) {
								$published_materi = $count_materi->publish;
								echo '<span class="stat_col">';
								echo esc_html( $published_materi );
								_e(' Materi');
								echo '</span>';
							}
							?> <?php _e('berisi'); ?> <?php 
							query_posts('post_type=materi&showposts=1000'); 
						    if (have_posts()) { 
								$jumlah = 0;
							    while (have_posts()): the_post();
								    global $post;
									$materi_soal = get_post_meta($post->ID, 'materi_soal', true);
									$jumlah += count($materi_soal);
								endwhile;
								echo '<span class="stat_col">';
								echo esc_html( $jumlah );
								_e(' Soal');
								echo '</span>';
								_e(' Pertanyaan');
							}
							wp_reset_query();
							?>
						</div>
						
						<?php get_template_part('archive/tugas'); ?>
						
						<div class="clear">
						    <?php get_template_part('archive/pagination'); ?>
						</div>
						
					</div>
				</div>
				
			</div>
		</div>
	</section>
	
<?php get_footer(); ?>
